Bug 964048 - longevity: Incorrect log level messages in posix_istat and posix_lookup
longevity: Incorrect log level messages in posix_istat and posix_lookup
Status: CLOSED WONTFIX
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: glusterd (Show other bugs)
2.0
x86_64 Linux
medium Severity high
: ---
: ---
Assigned To: Bug Updates Notification Mailing List
storage-qa-internal@redhat.com
:
Depends On:
Blocks: 1200364
  Show dependency treegraph
 
Reported: 2013-05-17 03:06 EDT by Vijaykumar Koppad
Modified: 2015-03-23 03:39 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1200364 (view as bug list)
Environment:
Last Closed: 2015-03-23 03:37:56 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vijaykumar Koppad 2013-05-17 03:06:51 EDT
Description of problem:

[2013-05-13 16:14:36.287918] W [posix-helpers.c:355:posix_istat] 0-long1-posix: lstat failed on /brick
s/long1_brick0/.glusterfs/84/82/8482e74b-e261-4367-8c09-baf3f098d34e (Input/output error)
[2013-05-13 16:14:36.287942] E [posix.c:154:posix_lookup] 0-long1-posix: lstat on /bricks/long1_brick0
/.glusterfs/84/82/8482e74b-e261-4367-8c09-baf3f098d34e failed: Input/output error
[2013-05-13 16:14:36.287954] W [server-resolve.c:130:resolve_gfid_cbk] 0-long1-server: 8482e74b-e261-4
367-8c09-baf3f098d34e: failed to resolve (Input/output error)

In both posix_istat and posix_lookup , lstat failed on /bricks/long1_brick0 , but one logs it as " W " and one logs it as " E ". There should be consistency. 
Either both should be " W " or both should be " E " 

Version-Release number of selected component (if applicable): glusterfs-3.3.0.7rhs-1.el6rhs.x86_64


How reproducible: It was happened in longevity test-run


Steps to Reproduce:

It was observed while debugging for the Bug 964038 
  


Actual results: There is inconsistency in log-level of log messages


Expected results: There should be consistency in log-levels of log messages, 


Additional info:
Comment 3 Vivek Agarwal 2015-03-23 03:37:56 EDT
The product version of Red Hat Storage on which this issue was reported has reached End Of Life (EOL) [1], hence this bug report is being closed. If the issue is still observed on a current version of Red Hat Storage, please file a new bug report on the current version.







[1] https://rhn.redhat.com/errata/RHSA-2014-0821.html
Comment 4 Vivek Agarwal 2015-03-23 03:39:37 EDT
The product version of Red Hat Storage on which this issue was reported has reached End Of Life (EOL) [1], hence this bug report is being closed. If the issue is still observed on a current version of Red Hat Storage, please file a new bug report on the current version.







[1] https://rhn.redhat.com/errata/RHSA-2014-0821.html

Note You need to log in before you can comment on or make changes to this bug.